/* /features/home/Home.razor.rz.scp.css */
.home[b-k3ilvatf7s] {

    height: 100dvh;

    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;

    & > section {
        width:100%;
        flex: 0 0 auto;
    }

    section.content[b-k3ilvatf7s] {
        flex: 1 1 auto;
        overflow: auto;
    }
}

.banner[b-k3ilvatf7s] {
    background-color: #323239;
    color: white;
    border-left: solid 10px #596e8a;
}

.text-container[b-k3ilvatf7s] {
    padding: 30px 0 60px 20px;
}

.title[b-k3ilvatf7s] {
    font-size: 4em;
}

.sub-title[b-k3ilvatf7s] {
    font-size: 2em;
    font-style: italic;
}
/* /features/home/SpecialtyCard.razor.rz.scp.css */
.specialty-card[b-7z46yu3rqk] {
    text-align: center;
    border-top: 2px solid var(--pulse-emphasis);

    a, a:visited {
        text-decoration: inherit;

    }

    .header[b-7z46yu3rqk] {
        background-color: var(--pulse-background-shade);
        height: 48px;
        display: flex;
        align-items: center;
        justify-content: center;
        border-right: solid 1px white;
        font-weight: 700;
        color:black;
    }

    .icon-container[b-7z46yu3rqk] {
        height: 128px;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .icon[b-7z46yu3rqk] {
        height: 75%;
        --dark-blue: rgb(24, 65, 137);
        --grey: rgb(149, 149, 149);
        --med-blue: rgb(102, 153, 255);
        --red: rgb(255,0,0);
        --white: rgb(255,255,255);
        color: var(--dark-blue);
        fill: currentColor;
    }

    &:hover[b-7z46yu3rqk] {
        .header {
            background-color: var(--pulse-background-shade-hover);
        }
    }

    &.available[b-7z46yu3rqk] {
        cursor: pointer;
    }

    &.coming-soon a[b-7z46yu3rqk] {
        cursor: not-allowed;
    }
}
/* /features/home/SpecialtyCardGrid.razor.rz.scp.css */
.specialty-card-grid[b-n3cm0jlpek] {
    display: grid;
    max-width: 1200px;
    margin-inline: auto;

    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    gap: 0px;

    font-family: 'Nunito Sans', sans-serif;
}
/* /features/layout/MainLayout.razor.rz.scp.css */
#blazor-error-ui[b-3s83hfzqtj] {
    color-scheme: light only;
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-3s83hfzqtj] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/* /features/layout/ReconnectModal.razor.rz.scp.css */
.components-reconnect-first-attempt-visible[b-2c6r9pa0cw],
.components-reconnect-repeated-attempt-visible[b-2c6r9pa0cw],
.components-reconnect-failed-visible[b-2c6r9pa0cw],
.components-pause-visible[b-2c6r9pa0cw],
.components-resume-failed-visible[b-2c6r9pa0cw],
.components-rejoining-animation[b-2c6r9pa0cw] {
    display: none;
}

#components-reconnect-modal.components-reconnect-show .components-reconnect-first-attempt-visible[b-2c6r9pa0cw],
#components-reconnect-modal.components-reconnect-show .components-rejoining-animation[b-2c6r9pa0cw],
#components-reconnect-modal.components-reconnect-paused .components-pause-visible[b-2c6r9pa0cw],
#components-reconnect-modal.components-reconnect-resume-failed .components-resume-failed-visible[b-2c6r9pa0cw],
#components-reconnect-modal.components-reconnect-retrying[b-2c6r9pa0cw],
#components-reconnect-modal.components-reconnect-retrying .components-reconnect-repeated-attempt-visible[b-2c6r9pa0cw],
#components-reconnect-modal.components-reconnect-retrying .components-rejoining-animation[b-2c6r9pa0cw],
#components-reconnect-modal.components-reconnect-failed[b-2c6r9pa0cw],
#components-reconnect-modal.components-reconnect-failed .components-reconnect-failed-visible[b-2c6r9pa0cw] {
    display: block;
}


#components-reconnect-modal[b-2c6r9pa0cw] {
    background-color: white;
    width: 20rem;
    margin: 20vh auto;
    padding: 2rem;
    border: 0;
    border-radius: 0.5rem;
    box-shadow: 0 3px 6px 2px rgba(0, 0, 0, 0.3);
    opacity: 0;
    transition: display 0.5s allow-discrete, overlay 0.5s allow-discrete;
    animation: components-reconnect-modal-fadeOutOpacity-b-2c6r9pa0cw 0.5s both;
    &[open]

{
    animation: components-reconnect-modal-slideUp-b-2c6r9pa0cw 1.5s cubic-bezier(.05, .89, .25, 1.02) 0.3s, components-reconnect-modal-fadeInOpacity-b-2c6r9pa0cw 0.5s ease-in-out 0.3s;
    animation-fill-mode: both;
}

}

#components-reconnect-modal[b-2c6r9pa0cw]::backdrop {
    background-color: rgba(0, 0, 0, 0.4);
    animation: components-reconnect-modal-fadeInOpacity-b-2c6r9pa0cw 0.5s ease-in-out;
    opacity: 1;
}

@keyframes components-reconnect-modal-slideUp-b-2c6r9pa0cw {
    0% {
        transform: translateY(30px) scale(0.95);
    }

    100% {
        transform: translateY(0);
    }
}

@keyframes components-reconnect-modal-fadeInOpacity-b-2c6r9pa0cw {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes components-reconnect-modal-fadeOutOpacity-b-2c6r9pa0cw {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

.components-reconnect-container[b-2c6r9pa0cw] {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
}

#components-reconnect-modal p[b-2c6r9pa0cw] {
    margin: 0;
    text-align: center;
}

#components-reconnect-modal button[b-2c6r9pa0cw] {
    border: 0;
    background-color: #6b9ed2;
    color: white;
    padding: 4px 24px;
    border-radius: 4px;
}

    #components-reconnect-modal button:hover[b-2c6r9pa0cw] {
        background-color: #3b6ea2;
    }

    #components-reconnect-modal button:active[b-2c6r9pa0cw] {
        background-color: #6b9ed2;
    }

.components-rejoining-animation[b-2c6r9pa0cw] {
    position: relative;
    width: 80px;
    height: 80px;
}

    .components-rejoining-animation div[b-2c6r9pa0cw] {
        position: absolute;
        border: 3px solid #0087ff;
        opacity: 1;
        border-radius: 50%;
        animation: components-rejoining-animation-b-2c6r9pa0cw 1.5s cubic-bezier(0, 0.2, 0.8, 1) infinite;
    }

        .components-rejoining-animation div:nth-child(2)[b-2c6r9pa0cw] {
            animation-delay: -0.5s;
        }

@keyframes components-rejoining-animation-b-2c6r9pa0cw {
    0% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    4.9% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    5% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 1;
    }

    100% {
        top: 0px;
        left: 0px;
        width: 80px;
        height: 80px;
        opacity: 0;
    }
}
